<?php

namespace Shop\DB;

use Shop\DB\DB;
use Shop\Model\Customers;
use Psr\Container\ContainerInterface;

class CustomersDB extends DB {
  protected $container;
  protected $customers = [];

  public function __construct(ContainerInterface $container)
  {
      $this->container = $container;
  }

	public function loadCust(){
		$stmt= $this->container->get('db')->prepare("SELECT * FROM clients");
    $stmt ->bindValue(':id',SQLITE3_TEXT);
     $stmt ->bindValue(':firstname', SQLITE3_TEXT);
     $stmt ->bindValue(':lastname', SQLITE3_TEXT);
     $stmt ->bindValue(':company', SQLITE3_TEXT );
     $stmt ->bindValue(':vatnumber', SQLITE3_TEXT);
     $stmt ->bindValue(':street', SQLITE3_TEXT);
     $stmt ->bindValue(':street2nd', SQLITE3_TEXT);
     $stmt ->bindValue(':zipcode', SQLITE3_TEXT);
     $stmt ->bindValue(':city', SQLITE3_TEXT);
     $stmt ->bindValue(':state', SQLITE3_TEXT);
     $stmt ->bindValue(':country', SQLITE3_TEXT);
     $res = $stmt->execute();

		while($result = $res->fetchArray(SQLITE3_ASSOC)){
      $customer = new Customers($this->container);
      $customer->setId($result['id']);
      $customer->setFirstname($result['firstname']);
      $customer->setLastname($result['lastname']);
      $customer->setCompany($result['company']);
      $customer->setVatNumber($result['vatnumber']);
      $customer->setStreet($result['street']);
      $customer->setStreet2nd($result['street2']);
      $customer->setZipcode($result['zipcode']);
      $customer->setCity($result['city']);
      $customer->setState($result['state']);
      $customer->setCountry($result['country']); 
      $this->customers[] = $customer;
    }
    return $this->customers;
	}
}